Name:       connections
Version:    3.37.90
Release:    1%{?dist}
Summary:    A remote desktop client for the GNOME desktop environment

License:    GPLv3+
URL:        https://gitlab.gnome.org/felipeborges/connections/-/wikis/home
Source0:    https://gitlab.gnome.org/felipeborges/connections/uploads/e08699007d9f1069dd36694a10c058db/connections-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  gcc
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk-vnc-2.0)

Requires:  adwaita-icon-theme

%description
Connections is a remote desktop client for the GNOME desktop environment

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/connections/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Connections.desktop

%files
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.Devel.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_datadir}/appdata/org.gnome.Connections.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/mime/packages/org.gnome.Connections.xml

%changelog
* Mon Aug 10 2020 Felipe Borges <feborges@redhat.com> - 3.37.90-1
- Initial import
